Bug 735157 - NoClassDefFound error in server log after install--BLOCKER--PREVENTS LOGIN
Summary: NoClassDefFound error in server log after install--BLOCKER--PREVENTS LOGIN
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.1
Hardware: Unspecified
OS: Unspecified
medium
urgent vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 16:06 UTC by Mike Foley
Modified: 2012-02-07 19:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-07 19:21:09 UTC


Attachments (Terms of Use)
server log (729.96 KB, application/octet-stream)
2011-09-01 16:06 UTC, Mike Foley
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 735403 None None None Never

Description Mike Foley 2011-09-01 16:06:01 UTC
Created attachment 521048 [details]
server log

Description of problem:NoClassDefFound error in server log after install


Version-Release number of selected component (if applicable):
JON 3.0 Beta

How reproducible:
100%

Steps to Reproduce:
1.  clean install in clean database
2.
3.
  
Actual results:
011-09-01 11:44:43,929 WARN  [gwt-log] Sending exception to client: [1314891883923] 
java.lang.NoClassDefFoundError: org/rhq/enterprise/server/util/HibernateDetachUtility$SerializationType

Expected results:


Additional info:  complete server log attached

Comment 1 Mike Foley 2011-09-01 16:06:44 UTC
the functional behavior is that you are presented with the JON login ... and can enter login and password ... but login does not succeed.

Comment 2 Mike Foley 2011-09-02 14:52:44 UTC
verified RHQ by Pune ... and documenting the Jenkins http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/job/overnight-rhq-4.0/395/

and thru manual testing.

Comment 3 Mike Foley 2012-02-07 19:21:09 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.